AC_DEFUN([ANY_XML],[
AC_ARG_WITH([expat],
            [AS_HELP_STRING([--with-expat],
                            [use expat as XML parser (default=maybe)])],
            [want_expat=$withval],
            [want_expat=auto])
AC_ARG_WITH([libxml2],
            [AS_HELP_STRING([--with-libxml2],
                            [use libxml2 as XML parser (default=maybe)])],
            [want_libxml2=$withval],
            [want_libxml2=auto])
AC_ARG_WITH([glibxml],
            [AS_HELP_STRING([--with-glibxml],
                            [use glib as XML parser (default=maybe)])],
            [want_glibxml=$withval],
            [want_glibxml=auto])
if test "x$want_expat" = xyes || ( test "x$want_expat" != xno && test "x$want_libxml2" != xyes && test "x$want_glibxml" != xyes ) ; then
  PKG_CHECK_MODULES(expat,expat,[
    xml_lib=expat
    XML_CFLAGS="$expat_CFLAGS -DXML_USE_EXPAT"
    XML_LIBS="$expat_LIBS"
    XML_PKGDEPEND="expat"
    WITH_XML=yes
  ],[
    if test "x$want_expat" = xyes ; then
      AC_MSG_FAILURE([--with-expat was given, but the test for expat failed])
    fi
  ])
fi
if test -z $xml_lib && ( test "x$want_libxml2" = xyes || ( test test "x$want_libxml2" != xno && test "x$want_glibxml" != xyes ) ) ; then
  PKG_CHECK_MODULES(libxml2,libxml2,[
    xml_lib=libxml2
    XML_CFLAGS="$libxml2_CFLAGS -DXML_USE_LIBXML2"
    XML_LIBS="@libxml2_LIBS"
    XML_PKGDEPEND="libxml2"
    WITH_XML=yes
  ],[
    if test "x$want_libxml2" = xyes ; then
      AC_MSG_FAILURE([--with-libxml2 was given, but the test for libxml2 failed])
    fi
  ])
fi
if test -z $xml_lib && test "x$want_glibxml" != xno ; then
  PKG_CHECK_MODULES(glib,glib-2.0,[
    xml_lib=glib
    XML_CFLAGS="$glib_CFLAGS -DXML_USE_GLIB"
    XML_LIBS="$glib_LIBS"
    XML_PKGDEPEND="glib"
    WITH_XML=yes
  ],[
    if test "x$want_glibxml" = xyes ; then
      AC_MSG_FAILURE([--with-glibxml was given, but the test for glib failed])
    fi
  ])
fi
if test -z $xml_lib ; then
  WITH_XML=no
fi
AC_SUBST(XML_CFLAGS)
AC_SUBST(XML_LIBS)
AC_SUBST(XML_PKGDEPEND)
AC_SUBST(WITH_XML)
])
