/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef iff_h
#define iff_h

#if __BYTE_ORDER == __BIG_ENDIAN
# define IFF_ID(a,b,c,d) ((a<<24)|(b<<16)|(c<<8)|(d<<0))
#else
# define IFF_ID(a,b,c,d) ((a<<0)|(b<<8)|(c<<16)|(d<<24))
#endif

#define IFF_FORM IFF_ID('F','O','R','M')

/* FORM types */
#define IFF_AMFF IFF_ID('A','M','F','F')
#define IFF_ANIM IFF_ID('A','N','I','M')
#define IFF_DPST IFF_ID('D','P','S','T')
#define IFF_ILBM IFF_ID('I','L','B','M')
#define IFF_PBM  IFF_ID('P','B','M',' ')
#define IFF_VDLT IFF_ID('V','D','L','T')

#endif /* iff_h */
