ifeq ($(PACKAGE),)
  PACKAGE = html
pot:
	LANG="sv_SE.UTF-8" test -d locale || mkdir -p locale && cat *.php.gpp | $(GPP) -D_='`gettext "@1"`' $(GPPFLAGS) | xgettext --from-code=UTF-8 --language=shell -o $(PACKAGE).pot -p locale -
endif

%.$(OBJEXT): $(SRCDIR)/%.c
	@echo "CC   $@"
	@$(CC) -c -o $@ $< $(CFLAGS)

%.$(OBJEXT): %.c
	@echo "CC   $@"
	@$(CC) -c -o $@ $< $(CFLAGS)

%.$(OBJEXT): $(SRCDIR)/%.cc
	@echo "CXX  $@"
	@$(CXX) -c -o $@ $< $(CXXFLAGS)

%.$(OBJEXT): %.cc
	@echo "CXX  $@"
	@$(CXX) -c -o $@ $< $(CXXFLAGS)

%: %.gpp macros.gpp
	@echo "GEN  $@"
	@$(GPP) -o $@ $< $(GPPFLAGS)

%.sv: %.gpp macros.gpp $(SRCDIR)/locale/sv/LC_MESSAGES/$(PACKAGE).mo
	@echo "GEN  $@ (swedish)"
	@$(GPP) -DLANG=sv_SE.UTF-8 -x -o $@ $< $(GPPFLAGS)

$(BLDDIR)/%.mo: $(SRCDIR)/%.po
	@echo "GEN  $@"
	@mkdir -p `dirname $@`
	@msgfmt -o $@ $<

%.mo: %.po
	@echo "GEN  $@"
	@msgfmt -o $@ $<

%.ui: $(SRCDIR)/%.glade
	@echo "CONV `basename $<` -> $@"
	@gtk-builder-convert $< $@

%.res: $(SRCDIR)/%.rc
	@echo "CONV `basename $<` -> $@"
	@i686-pc-mingw32-windres -O coff -o $@ $<

clean:
	rm -rf $(DOCS) $(OBJS) $(TARGETS) *.d depend.mk

#distclean: clean
#	rm -f *~

$(LINKFILES):
	@for linkfile in $(LINKFILES) ; do \
	  (test ! -e $$linkfile && ln -s $(SRCDIR)/$$linkfile .) \
	done

merge-po: pot
	LANG="en.UTF-8" test -e locale/en/LC_MESSAGES/$(PACKAGE).po && msgmerge -U locale/en/LC_MESSAGES/$(PACKAGE).po locale/$(PACKAGE).pot || (mkdir -p locale/en/LC_MESSAGES && msginit -i locale/$(PACKAGE).pot -l "en.UTF-8" -o locale/en/LC_MESSAGES/$(PACKAGE).po)
	LANG="sv_SE.UTF-8" test -e locale/sv/LC_MESSAGES/$(PACKAGE).po && msgmerge -U locale/sv/LC_MESSAGES/$(PACKAGE).po locale/$(PACKAGE).pot || (mkdir -p locale/sv/LC_MESSAGES && msginit -i locale/$(PACKAGE).pot -l "sv_SE.UTF-8" -o locale/sv/LC_MESSAGES/$(PACKAGE).po)

recursive-all:
	@for subdir in $(SUBDIRS) ; do \
	  (mkdir -p $$subdir && cd $$subdir && make -f $(SRCDIR)/$$subdir/Makefile all) \
	done

recursive-clean:
	@for subdir in $(SUBDIRS) ; do \
	  (test -d $$subdir && cd $$subdir && make -f $(SRCDIR)/$$subdir/Makefile clean) \
	done

recursive-install:
	@for subdir in $(SUBDIRS) ; do \
	  (echo "---- $$subdir" && test -d $$subdir && cd $$subdir && make -s -f $(SRCDIR)/$$subdir/Makefile install) \
	done

dll-install.nsh:
	@echo "GEN  $@"
	@echo "; Generated list of DLL-files, do not edit" > $@
	for dll in $(DLL) ; do \
	  (echo "File \"$$dll\"" >> $@) \
	done

dll-uninstall.nsh:
	@echo "GEN  $@"
	@echo "; Generated list of DLL-files, do not edit" > $@
	@for dll in $(DLL) ; do \
	  (echo "Delete \"\$$INSTDIR\\$$dll\"" >> $@) \
	done

depend depend.mk:
	@echo "depend"
	@touch __dummy__.d
	@cat *.d > depend.mk
	@rm -f __dummy__.d

-include depend.mk
